# Interface PointerInfoWithTimings

Extends BabylonJS `PointerInfo` with additional twinfinity data.

interface PointerInfoWithTimings {
twinfinity: {
pick: (isGeometryIntersectionEnabled: boolean) => PickResult;
button(buttonId: number): PointerButtonInfo;
};
}

#### Hierarchy

- PointerInfo
  - PointerInfoWithTimings

##### Index

### Properties

twinfinity

## Properties

### twinfinity

twinfinity: {
pick: (isGeometryIntersectionEnabled: boolean) => PickResult;
button(buttonId: number): PointerButtonInfo;
}

Twinfinity extensions for pointer info

#### Type declaration

- ##### pick: (isGeometryIntersectionEnabled: boolean) => PickResult

  Perform pick operation in 3D worldspace where pointer is located.

- ##### button: function

  - button(buttonId: number): PointerButtonInfo

    Get timing information for a specific button.

    #### Parameters

    - buttonId: number

    #### Returns PointerButtonInfo